Package it.ernytech.tdlib

## Class Request

- java.lang.Object
- - it.ernytech.tdlib.Request

    public class Request
    extends java.lang.Object

A request to the TDLib.

### Constructor Summary

Constructors
`Request​(long id, TdApi.Function function)` Creates a request with eventId and function.

### Method Summary

All Methods Instance Methods Concrete Methods
`TdApi.Function` `getFunction()` Get TDLib API function.
`long` `getId()` Get request identifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Request

    public Request​(long id,
                   TdApi.Function function)

Creates a request with eventId and function.

Parameters:
  `id` - Request identifier. Responses to TDLib requests will have the same id as the corresponding request. Updates from TDLib will have id == 0, incoming requests are thus disallowed to have id == 0.
  `function` - TDLib API function representing a request to TDLib.

### Method Detail

#### getId

    public long getId()

Get request identifier.

Returns:
  Request identifier. Responses to TDLib requests will have the same id as the corresponding request. Updates from TDLib will have id == 0, incoming requests are thus disallowed to have id == 0.

#### getFunction

    public TdApi.Function getFunction()

Get TDLib API function.

Returns:
  TDLib API function representing a request to TDLib.